import { V2Deposit, V3Deposit, V2Fill, V2RelayData, V2SlowFillLeaf, V2SpeedUp, V3Fill, V3RelayData, V3SlowFillLeaf, V3SpeedUp } from "../interfaces";
import { BN } from "./BigNumberUtils";
type Deposit = V2Deposit | V3Deposit;
type Fill = V2Fill | V3Fill;
type SpeedUp = V2SpeedUp | V3SpeedUp;
type RelayData = V2RelayData | V3RelayData;
type SlowFillLeaf = V2SlowFillLeaf | V3SlowFillLeaf;
export declare const V3_MIN_CONFIG_STORE_VERSION = 3;
export declare function isV3(version: number): boolean;
export declare function isV2Deposit(deposit: Deposit): deposit is V2Deposit;
export declare function isV3Deposit(deposit: Deposit): deposit is V3Deposit;
export declare function isV2SpeedUp(speedUp: SpeedUp): speedUp is V2SpeedUp;
export declare function isV3SpeedUp(speedUp: SpeedUp): speedUp is V3SpeedUp;
export declare function isV2Fill(fill: Fill): fill is V2Fill;
export declare function isV3Fill(fill: Fill): fill is V3Fill;
export declare function isV2RelayData(relayData: RelayData): relayData is V2RelayData;
export declare function isV3RelayData(relayData: RelayData): relayData is V3RelayData;
export declare function isSlowFill(fill: Fill): boolean;
export declare function isV2SlowFillLeaf(slowFillLeaf: SlowFillLeaf): slowFillLeaf is V2SlowFillLeaf;
export declare function isV3SlowFillLeaf(slowFillLeaf: SlowFillLeaf): slowFillLeaf is V3SlowFillLeaf;
export declare function getDepositInputToken(deposit: Deposit): string;
export declare function getDepositOutputToken(deposit: Deposit): string;
export declare function getFillOutputToken(fill: Fill): string;
export declare function getDepositInputAmount(deposit: Deposit): BN;
export declare function getDepositOutputAmount(deposit: Deposit): BN;
export declare function getFillOutputAmount(fill: Fill): BN;
export declare function getFillAmount(fill: Fill): BN;
export declare function getTotalFilledAmount(fill: Fill): BN;
export declare function getRelayDataOutputToken(relayData: RelayData): string;
export declare function getRelayDataOutputAmount(relayData: RelayData): BN;
export declare function getSlowFillLeafChainId(leaf: SlowFillLeaf): number;
export {};
